<?php
/*
Plugin Name: Show Overview
Plugin URI: http://cimss.ssec.wisc.edu/#
Description: This shows the overview that is stored as a Page
Author: Bill Bellon
Version: 1.0
Author URI: http://www.ssec.wisc.edu/~billb/
*/ 

function show_overview ($page_id) {
  global $wpdb;
  $pmLink = get_permalink($page_id);
  $pages = $wpdb->get_results ("SELECT " .
      "post_content, post_title " .
      "FROM $wpdb->posts " .
      "WHERE ID = " . $page_id);
  foreach ($pages as $page) {
    echo '<h2 style="text-align: center;"><a href="' . $pmLink . '">' . $page->post_title . "</a></h2>\n";
    echo '<div class="post" id="post-' . $page_id . '">' . "\n";

    foreach (preg_split("/\n/", $page->post_content) as $line) {
      if (preg_match("/<\!\-\- OVERVIEW_END \-\->/", $line)) {
        echo '<div style="text-align: center;">[<a href="' . $pmLink . '">More</a>]</div>' . "\n";
        break;
      } else {
        echo "$line\n";
      }
    }
    
    echo "</div>\n";
  }

}
?>
