<?php get_header(); ?>
<div id="blogcontent" class="narrowcolumn">

<?php 
if (have_posts()) : ?>

<!--======================================
    ANNOUNCEMENTS
    ====================================== -->
<?php 
  if (is_home()) {
    $my_query = new WP_Query('category_name=announcements&showposts=5');
  } 
?>

  <h2 style="text-align: center;"><a href="/goes_r/awg/category/announcements/">Announcements / News</a></h2>
  <!-- The Loop for Announcements: BEGIN -->
<?php 
  $iNews = 1;
  $maxNews = 2;
  while ($my_query->have_posts() && $iNews <= $maxNews) : $my_query->the_post(); ?>
    <div class="post" id="post-<?php the_ID(); ?>">
      <h3><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h3>
      <small><?php the_time('F jS, Y') ?> by <?php the_author_posts_link(); ?> </small>
      <div class="entry">
        <h3 class="exc">Excerpt <span>no HTML/links</span></h3>
        <div class="exc">
          <?php the_content('Read the rest of this entry &raquo;'); ?>
        </div>
        <a href="<?php echo get_permalink();?>" class="exc">More</a><div class="excfooter">&nbsp;</div>
      </div>

<!--      
      <p class="postmetadata">Posted in <?php the_category(', ') ?> <strong>|</strong> 
      <?php edit_post_link('Edit','','<strong>|</strong>'); ?>  
      <?php comments_popup_link('No Comments &#187;', '1 Comment &#187;', '% Comments &#187;'); ?></p>
-->
    </div>
	
<?php 
    $iNews = $iNews + 1;
  endwhile; ?>
  <p style="margin-top: -40px; font-weight: bold; text-align: center;"><a href="/goes_r/awg/category/announcements/">All Announcements / News</a></p>

<!--================================= 
        OVERVIEW 
    ================================= -->
<?php
  $overview_id=2;

  show_overview($overview_id); // plug-in
?>


  <div class="navigation">
    <div class="alignleft"><?php next_posts_link('&laquo; Previous Entries') ?></div>
    <div class="alignright"><?php previous_posts_link('Next Entries &raquo;') ?></div>
  </div>
		
<?php 
  else : ?>

    <h2 class="center">Not Found</h2>
    <p class="center">Sorry, but you are looking for something that isn't here.</p>
    <?php include (TEMPLATEPATH . "/searchform.php"); ?>

<?php 
  endif; ?>
  <!-- The Loop for Announcements: END -->

</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>
