<?php
/*
Plugin Name: Upload Plus
Plugin URI: none
Description: This is a enhanced version of the upload feature
Author: Bill Bellon
Version: 0.3
Author URI: http://www.ssec.wisc.edu/~billb/
*/ 
define('UP_URL', $_SERVER['PHP_SELF'] . '?page=uploadplus/uploadplus.php');

//====================================================================================
// FUNCTIONS: BEGIN
//====================================================================================

/* -----------------------------------------------------
------------------------------------------------------- */
function up_renameFile($oldfilename, $newfilename) {
  $oldfilename = preg_replace('/^[^a-zA-Z0-9]*/', '', $oldfilename);     
  $oldfilename = '/var/apache/test/htdocs/wp-test/wp-content/files/'.$oldfilename;
  $newfilename = '/var/apache/test/htdocs/wp-test/wp-content/files/'.$newfilename;
  if (!rename($oldfilename, $newfilename)) {
    die("could not rename file");
  }
}

/* -----------------------------------------------------
------------------------------------------------------- */
function up_getFileSize($filename) {
  return -9999;
}

/* -----------------------------------------------------
Get connection to database
------------------------------------------------------- */
function up_getConnection() {
  if ( !($connection = @mysql_connect('localhost:3306', 'billb', 'billb@ssec')) || !(mysql_select_db('test', $connection)) ) {
    up_showerror();
  }
  return $connection;
}

/*-------------------------------------------------
Shows an error and stops the script
------------------------------------------------ */
function up_showerror($message='NULL') {
    if ($message != 'NULL') {
      die($message);
    } else if (mysql_error()) {
		$trace = print_r(debug_backtrace(), true);
//		die('Database error');
//		error_log('Database error'.mysql_errno().' : '.mysql_error().' '.$trace);
		die('Database error'.mysql_errno().' : '.mysql_error().' '.$trace);
	} else {
		die('Could not connect to the database');
	}
}

/* -----------------------------------------------------
------------------------------------------------------- */
/*
function up_closeConnection($result, $connection) {

  mysql_free_result($result);
  mysql_close($connection);
}
*/

/* -----------------------------------------------------
Show an authorization failure error message to the user.
------------------------------------------------------- */
function up_authorizationFailure() {
  die('You are not authorized to perform this operation');
}

/* -----------------------------------------------------
------------------------------------------------------- */
function up_clean($input, $maxlength) {
	$input = substr($input, 0, $maxlength);
	return EscapeShellCmd($input);
}

/* -----------------------------------------------------
------------------------------------------------------- */
function up_checkId($id) {
	if (!is_numeric($id)) {
		die('Invalid id');
	}
}

/* -----------------------------------------------------
------------------------------------------------------- */
/*
function up_makelinks ($content = '') {

  return preg_replace("/foo/", "bar", $content);
}
*/


//====================================================================================
// FUNCTIONS: END
//====================================================================================

?>