<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />

<title><?php bloginfo('name'); ?> <?php if ( is_single() ) { ?> &raquo; Blog Archive <?php } ?> <?php wp_title(); ?></title>

<meta name="generator" content="WordPress <?php bloginfo('version'); ?>" /> <!-- leave this for stats -->
<link href="/goes_r/style.css?version20070123" type="text/css" rel="stylesheet">
<!--[if lte IE 6]>
<link href="/goes_r/style-ie6.css?version20070123" type="text/css" rel="stylesheet">
<![endif]-->
<!--[if gte IE 7]>
<link href="/goes_r/style-ie7.css" type="text/css" rel="stylesheet">
<![endif]-->

<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<link rel="stylesheet" href="<?php bloginfo('stylesheet_directory'); ?>/mystyle.css" type="text/css" media="screen" />
<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="alternate" type="text/xml" title="RSS .92" href="<?php bloginfo('rss_url'); ?>" />
<link rel="alternate" type="application/atom+xml" title="Atom 0.3" href="<?php bloginfo('atom_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

<style type="text/css" media="screen">
/*	To accomodate differing install paths of WordPress, images are referred only here,
	and not in the wp-layout.css file. If you prefer to use only CSS for colors and what
	not, then go right ahead and delete the following lines, and the image files. */
		
	body { background: url("<?php bloginfo('stylesheet_directory'); ?>/images/kubrickbgcolor.jpg"); }	
<?php /* Checks to see whether it needs a sidebar or not */ if ((! $withcomments) && (! is_single())) { ?>
	#page { background: url("<?php bloginfo('stylesheet_directory'); ?>/images/kubrickbg.jpg") repeat-y top; border: none; }
    #header { background: url("<?php bloginfo('stylesheet_directory'); ?>/images/kubrickbg.jpg") repeat-y top center; }
<?php } else { // No sidebar ?>
	#page { background: url("<?php bloginfo('stylesheet_directory'); ?>/images/kubrickbgwide.jpg") repeat-y top; border: none; } 
    #header { background: url("<?php bloginfo('stylesheet_directory'); ?>/images/kubrickbgwide.jpg") repeat-y top center; }
    #header, #headerimg {width: 758px !important;}
<?php } ?>
/*    #header { background: url("<?php bloginfo('stylesheet_directory'); ?>/images/kubrickheader.jpg") no-repeat top center; }*/

	#footer { background: url("<?php bloginfo('stylesheet_directory'); ?>/images/kubrickfooter.jpg") no-repeat bottom; border: none;}

/*	Because the template is slightly different, size-wise, with images, this needs to be set here
	If you don't want to use the template's images, you can also delete the following two lines. */
		
	/*#header 	{ margin: 0 !important; margin: 0 0 0 1px; padding: 1px; height: 198px; width: 758px; }*/
	/*#headerimg 	{ margin: 7px 9px 0; height: 192px; width: 740px; }*/
        #header         { margin: 1px 1px 1em 1px; padding: 0px; /*height: 109px !important;*/ width: 758px; background-color: black;}
        #headerimg      { margin: 0px; /*height: 109px;*/ width: 526px; position: relative; }
        #headerimg h1 {padding-top: 0.5em;}
/*        #sseclogo {position: absolute; top: 34px; left: 30px;}
        #cimsslogo {position: absolute; top: 34px; right: 10px;}*/

/* 	To ease the insertion of a personal header image, I have done it in such a way,
	that you simply drop in an image called 'personalheader.jpg' into your /images/
	directory. Dimensions should be at least 760px x 200px. Anything above that will
	get cropped off of the image. */
	/*
	#headerimg { background: url('<?php //bloginfo('stylesheet_directory'); ?>/images/personalheader.jpg') no-repeat top;}
	*/
        h2 + div.post h3 {margin-top: 1em !important; padding-top: 0px !important;}

</style>

<?php wp_get_archives('type=monthly&format=link'); ?>

<?php wp_head(); ?>
<meta http-equiv="expires" content="0">
</head>
<body>
<div id="banner">
  <div id="earth">
    <div id="title"><span id="titlelogo"></span>
      <h1>GOES-R Activities at <a href="http://cimss.ssec.wisc.edu/">CIMSS</a> / <a href="http://www.ssec.wisc.edu/">SSEC</a></h1>
    </div>
    <div id="breadcrumb">
      <ul>
        <li><a href="/goes_r/">Home</a></li>
        <li><a href="/goes_r/awg.html">AWG</a></li>
        <li>AWG Intranet</li>
      </ul>
    </div>
  </div>
</div>

<div id="page">

<div id="header">
	<div id="headerimg">
		<h1><a href="<?php echo get_settings('home'); ?>"><?php bloginfo('name'); ?></a></h1>
		<div class="description"><?php bloginfo('description'); ?></div>
	</div>
</div>
<hr />
